com.independentsoft.msg

## Enum NoteColor

- java.lang.Object
- - java.lang.Enum<NoteColor>
  - - com.independentsoft.msg.NoteColor

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NoteColor>

      public enum NoteColor
      extends java.lang.Enum<NoteColor>

  Represents Note item background color.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLUE` Blue color.
    `GREEN` Green color.
    `NONE` None.
    `PINK` Pink color.
    `WHITE` White color.
    `YELLOW` Yellow color.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NoteColor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NoteColor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLUE

          public static final NoteColor BLUE

      Blue color.

    - #### GREEN

          public static final NoteColor GREEN

      Green color.

    - #### PINK

          public static final NoteColor PINK

      Pink color.

    - #### YELLOW

          public static final NoteColor YELLOW

      Yellow color.

    - #### WHITE

          public static final NoteColor WHITE

      White color.

    - #### NONE

          public static final NoteColor NONE

      None.

  - ### Method Detail

    - #### values

          public static NoteColor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NoteColor c : NoteColor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NoteColor valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null